> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_transform.md).

# 53.57. pg\_transform

## 53.57. pg\_transform

The catalog `pg_transform` stores information about transforms, which are a mechanism to adapt data types to procedural languages. See [CREATE TRANSFORM](/15/reference/sql-commands/create-transform.md) for more information.

**Table 53.57. `pg_transform` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                                                                                                                                                                       |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>oid</code> <code>oid</code></p><p>Row identifier</p>                                                                                                                                                                                                                                                                                              |
| <p><code>trftype</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_type.md"><code>pg\_type</code></a>.<code>oid</code>)</p><p>OID of the data type this transform is for</p>                                                                                                                                                   |
| <p><code>trflang</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_language.md"><code>pg\_language</code></a>.<code>oid</code>)</p><p>OID of the language this transform is for</p>                                                                                                                                            |
| <p><code>trffromsql</code> <code>regproc</code> (references <a href="/15/internals/system-catalogs/pg_proc.md"><code>pg\_proc</code></a>.<code>oid</code>)</p><p>The OID of the function to use when converting the data type for input to the procedural language (e.g., function parameters). Zero is stored if the default behavior should be used.</p> |
| <p><code>trftosql</code> <code>regproc</code> (references <a href="/15/internals/system-catalogs/pg_proc.md"><code>pg\_proc</code></a>.<code>oid</code>)</p><p>The OID of the function to use when converting output from the procedural language (e.g., return values) to the data type. Zero is stored if the default behavior should be used.</p>       |

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_transform.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_transform.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
